[arrandale] Display is slanted when using 1360x768 resolution

Bug #753994 reported by Carl Milette on 2011-04-07
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Andy Whitcroft
Natty
Medium
Andy Whitcroft
Oneiric
Medium
Andy Whitcroft

Bug Description

SRU Justification:

Impact: when cirtain resolutions are selected the screen is staggered in a diagonal fashion
Fix: is an upstream cherry-pick fixing an arithmetic rounding issue in the panel fitting algorithm
Testcase: switch panel resolution to 1360x768 on a 1600x900 panel

===

Binary package hint: xorg

Step to reproduce:
Go in monitor
change the resolution for 1600x900 to 1360x768 and apply change

Expected result:
resolution change and display is usable

Actual result:
Display is slanted and split in the middle
the pointer wraps from right to the left

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: xorg 1:7.6~3ubuntu11
ProcVersionSignature: Ubuntu 2.6.38-7.39-generic 2.6.38
Uname: Linux 2.6.38-7-generic i686
NonfreeKernelModules: wl
Architecture: i386
CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,unitymtgrabhandles,scale,session,unityshell]
CompositorRunning: compiz
DRM.card0.DP.1:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
DRM.card0.HDMI.A.1:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
DRM.card0.LVDS.1:
 status: connected
 enabled: enabled
 dpms: Off
 modes: 1600x900
 edid-base64: AP///////wAw5IgCAAAAAAATAQOQJhV4CkyVnllPmSYcUFQAAAABAQEBAQEBAQEBAQEBAQEBLyZAuGCEDDAwMCMAftcQAAAaLyZAuGCEDDAwMCMAftcQAAAaAAAA/gA4NEZHUBQxNzNXRDEKAAAAAAAAWQEtAQAAAAIBCiAgAM8=
DRM.card0.VGA.1:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
Date: Thu Apr 7 15:43:16 2011
DistUpgraded: Fresh install
DistroCodename: natty
DistroVariant: ubuntu
DkmsStatus: bcmwl, 5.100.82.38+bdcom, 2.6.38-7-generic, i686: installed
GraphicsCard:
 Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] (rev 12) (prog-if 00 [VGA controller])
   Subsystem: Dell Device [1028:0442]
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Beta i386 (20110330)
Lsusb:
 Bus 002 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
 Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 001 Device 003: ID 0c45:6450 Microdia
 Bus 001 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: Dell Inc. Vostro 3700
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-7-generic root=UUID=7d2dfd18-48b9-4b1b-ad81-6ac66c5783d2 ro quiet splash initcall_debug vt.handoff=7
Renderer: Unknown
SourcePackage: xorg
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 01/08/2010
dmi.bios.vendor: Dell Inc.
dmi.bios.version: X19
dmi.board.name: 4RU010
dmi.board.vendor: Dell Inc.
dmi.board.version: S00
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: Not Specified
dmi.modalias: dmi:bvnDellInc.:bvrX19:bd01/08/2010:svnDellInc.:pnVostro3700:pvrNotSpecified:rvnDellInc.:rn4RU010:rvrS00:cvnDellInc.:ct8:cvrNotSpecified:
dmi.product.name: Vostro 3700
dmi.product.version: Not Specified
dmi.sys.vendor: Dell Inc.
version.compiz: compiz 1:0.9.4git20110322-0ubuntu5
version.libdrm2: libdrm2 2.4.23-1ubuntu5
version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.1-0ubuntu3
version.xserver-xorg: xserver-xorg 1:7.6~3ubuntu11
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.0-0ubuntu4
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.14.0-4ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110107+b795ca6e-0ubuntu6

[lspci]
Nux: lspci: 00:02.0 VGA compatible controller [0300]: Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] (rev 12)

Carl Milette (carl-milette) wrote :
Carl Milette (carl-milette) wrote :
Timo Aaltonen (tjaalton) on 2011-04-07
affects: xorg (Ubuntu) → xserver-xorg-video-intel (Ubuntu)
Bryce Harrington (bryce) wrote :

Can you reproduce this issue when booted to Classic Desktop (no effects)?

Try using the xrandr command line tool to change resolutions and see if the bug reproduces with that too.

E.g.
  xrandr --output LVDS1 --mode 1360x768

Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Incomplete
Carl Milette (carl-milette) wrote :

The Classic desktop(no effects) got the same problem with the xrandr --output LVDS1 --mode 1360x768

Daniel Manrique (roadmr) on 2011-04-08
Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → Confirmed
Daniel Manrique (roadmr) on 2011-04-08
tags: added: blocks-hwcert
bugbot (bugbot) on 2011-04-10
tags: added: resolution
Daniel Manrique (roadmr) wrote :

Just tested Maverick with kernel 2.6.35-22.33 on the Vostro 3700, and I don't observe this problem with the 1360x768 resolution, so this constitutes a regression.

tags: added: regression
Ara Pulido (ara) on 2011-04-12
summary: - display is slanted when using 1360x768 resolution only on Dell Vostro
- 3700
+ [Vostro 3700] Display is slanted when using 1360x768 resolution
Bryce Harrington (bryce) on 2011-04-13
summary: - [Vostro 3700] Display is slanted when using 1360x768 resolution
+ [Arrandale Vostro 3700] Display is slanted when using 1360x768
+ resolution
summary: - [Arrandale Vostro 3700] Display is slanted when using 1360x768
- resolution
+ [Arrandale] Display is slanted when using 1360x768 resolution
Bryce Harrington (bryce) on 2011-04-14
summary: - [Arrandale] Display is slanted when using 1360x768 resolution
+ [arrandale] Display is slanted when using 1360x768 resolution
Bryce Harrington (bryce) on 2011-04-14
Changed in xserver-xorg-video-intel (Ubuntu):
importance: Undecided → Medium
Changed in xserver-xorg-video-intel (Ubuntu Oneiric):
status: New → Confirmed
Changed in xserver-xorg-video-intel (Ubuntu Natty):
assignee: nobody → Canonical Desktop Team (canonical-desktop-team)
milestone: none → natty-updates
Bryce Harrington (bryce) wrote :

Can you confirm that you are still seeing this problem with the natty release?

If you are, can you test one more thing please - we are now providing builds of upstream's experimental driver and I'd like to confirm it also affects their code as well before we send this bug upstream. Please install the kernel and reboot onto it, reproduce the bug, and then attach a fresh 'dmesg > dmesg.txt' here. Thanks ahead of time!

Changed in xserver-xorg-video-intel (Ubuntu Natty):
status: Confirmed → Incomplete
Daniel Manrique (roadmr) wrote :

Hi Bryce,

Yes, the problem is still present with the natty release kernel (as of yesterday, April 25th). I also tested with this drm-next kernel:

Linux 201001-4961 2.6.39-997-generic #201104201740 SMP Wed Apr 20 17:44:36 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

http://kernel.ubuntu.com/~kernel-ppa/mainline/drm-intel-next/current/linux-image-2.6.39-997-generic_2.6.39-997.201104201740_amd64.deb

and are still observing the problem.

I'm attaching dmesg from the drm-intel-next kernel.

Thanks so much!

Daniel Manrique (roadmr) on 2011-04-26
Changed in xserver-xorg-video-intel (Ubuntu Natty):
status: Incomplete → Confirmed
Bryce Harrington (bryce) wrote :

Hmm, starting to sound like a bad modeline.

1. When did you first start noticing this? Were you running natty previously and able to set this resolution without experiencing this problem? Or was this the first time you tested it on natty? Carl, did it happen on maverick for you as well, like Daniel?

2. Does this behavior occur for any other resolutions?

3. If you connect an external monitor, does the problem occur on the external monitor as well?

4. Since it sounds like it worked on maverick, please boot maverick and set the resolution to 1360x768, and then capture 'xrandr --verbose' and Xorg.0.log and attach to this bug report. This will provide the old (working) modeline for comparison with your natty logs.

5. The "Hangtimer elapsed..." error sounds reminiscent of bug #761065, although that's a different generation of chip. But test the proposed kernel for that bug to see if it resolves this as well: http://people.canonical.com/~acelan/bugs/lp753189/

Changed in xserver-xorg-video-intel (Ubuntu Natty):
status: Confirmed → Incomplete
Daniel Manrique (roadmr) wrote :

Hi Bryce!

1- Carl first noticed it while certifying some systems, he stumbled upon a particular resolution that triggers the problem. Since we hadn't run the full, exhaustive set of tests on Natty, this was the first time we noticed it. I then went back to Maverick to confirm whether it'd happened there as well.

2- No, it's only on the 1360x768 resolution, and only on those two machines; to begin with, very few systems support that particular resolution, and none of the others exhibit the problem.

3- I connected an external monitor and switched to the problem resolution on the built-in display, it's still crooked/slanted. The external monitor shows no change. I then used xrandr to cycle through all available resolutions on the external display; none of them exhibit the problem on that display (though it's independent from the built-in one). The external display doesn't support 1360x768 so I was unable to test that :(

4- I'm attaching xrandr and Xorg.log from Maverick, booted with a LiveCD.

5- I tried the indicated kernel, the slanting/crooking problem still persists :(

Kernel version from dmesg:
[ 0.000000] Linux version 2.6.38-8-generic (root@ubuntu-Vostro-V131) (gcc version 4.5.2 (Ubuntu/Linaro 4.5.2-8ubuntu3) ) #42 SMP Tue Apr 26 09:07:43 CST 2011 (Ubuntu 2.6.38-8.42-generic 2.6.38.2)

Daniel Manrique (roadmr) wrote :
Changed in xserver-xorg-video-intel (Ubuntu Natty):
status: Incomplete → Confirmed
bugbot (bugbot) on 2011-04-27
description: updated
Bryce Harrington (bryce) on 2011-05-03
tags: added: oneiric
Bryce Harrington (bryce) wrote :

[I've marked this bug for inclusion in our oneiric bug queue. While technically this bug has not been re-confirmed against oneiric, I feel it is worth continued development attention. We will need to ask that it be re-confirmed once oneiric is further along, perhaps once we get closer to alpha.]

Ara Pulido (ara) wrote :

Can we test this in Oneiric, please?

Changed in xserver-xorg-video-intel (Ubuntu Oneiric):
status: Confirmed → Incomplete
Daniel Manrique (roadmr) wrote :

Hi all,

I retested this on Oneiric with an image from 2011-07-05, on the Vostro 3700. The problem is still present, still behaving as described in the original report.

Let me know if more testing or more detailed information is needed.

Changed in xserver-xorg-video-intel (Ubuntu Oneiric):
status: Incomplete → Confirmed
Changed in xserver-xorg-video-intel (Ubuntu Oneiric):
importance: Undecided → Medium
assignee: nobody → Canonical Desktop Team (canonical-desktop-team)
Chris Halse Rogers (raof) wrote :

I believe this is likely to be fixed by http://<email address hidden> . It seems to describe exactly this situation.

This doesn't seem to have made it into an upstream kernel tree yet; I'll ping the kernel team to see if we can get a kernel build with that patch added.

affects: xserver-xorg-video-intel (Ubuntu Natty) → linux (Ubuntu Natty)
Changed in linux (Ubuntu Natty):
assignee: Canonical Desktop Team (canonical-desktop-team) → nobody
tags: added: kernel-handoff-graphics
Andy Whitcroft (apw) wrote :

I have pulled the patch @Chris mentioned in comment #14 into the natty kernel and produced kernels for testing. If those of you who are affected by this could test the kernels at the URL below. Please report any testing back here:

    http://people.canonical.com/~apw/lp753994-natty/

Thanks.

Changed in linux (Ubuntu Natty):
status: Confirmed → Incomplete
assignee: nobody → Andy Whitcroft (apw)
Changed in linux (Ubuntu Oneiric):
assignee: Canonical Desktop Team (canonical-desktop-team) → nobody
Daniel Manrique (roadmr) wrote :

Hi Andy,

Thanks for getting the patch into a test kernel so quickly! I was about to roll my own but you beat me to it.

Anyway, I did a fresh Natty install on this system. With the 2.6.38-8 and 2.6.38-10 kernels, the problem still exists. With your patched 2.6.38-11, however, the 1360x768 resolution works fine, and switching between that and the panel's default 1600x900 works ok, without problems.

This is on a Dell Vostro 3700, the same one used to produce the original report.

Thanks!

Changed in linux (Ubuntu Natty):
status: Incomplete → Confirmed
Ara Pulido (ara) wrote :

This is not blocking certification, removing the tag

tags: removed: blocks-hwcert
Andy Whitcroft (apw) on 2011-08-01
Changed in linux (Ubuntu Oneiric):
assignee: nobody → Andy Whitcroft (apw)
Changed in linux (Ubuntu Natty):
status: Confirmed → In Progress
Changed in linux (Ubuntu Oneiric):
status: Confirmed → In Progress
Tim Gardner (timg-tpi) on 2011-08-01
Changed in linux (Ubuntu Natty):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Oneiric):
status: In Progress → Fix Committed
Andy Whitcroft (apw) on 2011-08-01
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.0.0-8.10

---------------
linux (3.0.0-8.10) oneiric; urgency=low

  [ Adam Jackson ]

  * SAUCE: drm/i915/pch: Fix integer math bugs in panel fitting
    - LP: #753994

  [ John Johansen ]

  * [Config] Enable missing IPv6 options

  [ Leann Ogasawara ]

  * [Config] Disable config IWLWIFI_DEVICE_SVTOOL
    - LP: #819925
  * Rebase to 3.0.1

  [ Upstream Kernel Changes ]

  * x86, intel, power: Correct the MSR_IA32_ENERGY_PERF_BIAS message
  * ALSA: hda - Turn on extra EAPDs on Conexant codecs
    - LP: #783582
  * KVM: Remove SMEP bit from CR4_RESERVED_BITS
    - LP: #796476
  * KVM: Add SMEP support when setting CR4
    - LP: #796476
  * KVM: Mask function7 ebx against host capability word9
    - LP: #796476
  * KVM: Add instruction fetch checking when walking guest page table
    - LP: #796476

  [ Upstream Kernel Changes ]

  * rebase to v3.0.1
 -- Leann Ogasawara <email address hidden> Fri, 05 Aug 2011 11:32:25 -0700

Changed in linux (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Herton R. Krzesinski (herton) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-natty' to 'verification-done-natty'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-natty
Daniel Manrique (roadmr) wrote :

Sorry for the delay in testing this!

I installed Natty on this system, retested that the original 2.6.38-8 kernel exhibits the problem as originally described, and then installed 2.6.38-11 from -proposed.

I changed resolution to 1360x768 using xrandr --output LVDS1 --mode 1360x768 in both cases.

The new kernel fixes the problem as mentioned in comment #16.

Tested on a Dell Vostro 3700 as the original report.

Kernel version string is:

Linux version 2.6.38-11-generic (buildd@roseapple) (gcc version 4.5.2 (Ubuntu/Linaro 4.5.2-8ubuntu4) ) #49-Ubuntu SMP Mon Aug 29 20:47:58 UTC 2011

Thanks!

tags: added: verification-done-natty
removed: verification-needed-natty
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.38-11.50

---------------
linux (2.6.38-11.50) natty-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #848246

  [ Upstream Kernel Changes ]

  * Revert "eCryptfs: Handle failed metadata read in lookup"
  * Revert "KVM: fix kvmclock regression due to missing clock update"
  * Revert "ath9k: use split rx buffers to get rid of order-1 skb
    allocations"

linux (2.6.38-11.49) natty-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #836903

  [ Adam Jackson ]

  * SAUCE: drm/i915/pch: Fix integer math bugs in panel fitting
    - LP: #753994

  [ Keng-Yu Lin ]

  * SAUCE: Input: ALPS - Enable Intellimouse mode for Lenovo Zhaoyang E47
    - LP: #632884, #803005

  [ Stefan Bader ]

  * [Config] Force perf to use libiberty for demangling
    - LP: #783660

  [ Tim Gardner ]

  * [Config] Add enic/fnic to udebs
    - LP: #801610

  [ Upstream Kernel Changes ]

  * eeepc-wmi: add keys found on EeePC 1215T
    - LP: #812644
  * eCryptfs: Handle failed metadata read in lookup
    - LP: #509180
  * pagemap: close races with suid execve, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * report errors in /proc/*/*map* sanely, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * close race in /proc/*/environ, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * auxv: require the target to be tracable (or yourself), CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * deal with races in /proc/*/{syscall, stack, personality}, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * vmscan: fix a livelock in kswapd
    - LP: #813797
  * mmc: Add PCI fixup quirks for Ricoh 1180:e823 reader
    - LP: #773524
  * mmc: Added quirks for Ricoh 1180:e823 lower base clock frequency
    - LP: #773524
  * rose: Add length checks to CALL_REQUEST parsing, CVE-2011-1493
    - LP: #816550
    - CVE-2011-1493
  * pata_marvell: Add support for 88SE91A0, 88SE91A4
    - LP: #777325
  * GFS2: make sure fallocate bytes is a multiple of blksize, CVE-2011-2689
    - LP: #819572
    - CVE-2011-2689
  * Bluetooth: l2cap and rfcomm: fix 1 byte infoleak to userspace.
    - LP: #819569
    - CVE-2011-2492
  * drm/nv50-nvc0: work around an evo channel hang that some people see
    - LP: #583760
  * KVM: fix kvmclock regression due to missing clock update
    - LP: #795717
  * Add mount option to check uid of device being mounted = expect uid,
    CVE-2011-1833
    - LP: #732628
    - CVE-2011-1833
  * proc: fix oops on invalid /proc/<pid>/maps access, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * ipv6: make fragment identifications less predictable, CVE-2011-2699
    - LP: #827685
    - CVE-2011-2699
  * ath9k: use split rx buffers to get rid of order-1 skb allocations
    - LP: #728835
  * perf: Fix software event overflow, CVE-2011-2918
    - LP: #834121
    - CVE-2011-2918
 -- Herton Ronaldo Krzesinski <email address hidden> Mon, 12 Sep 2011 17:23:38 -0300

Changed in linux (Ubuntu Natty):
status: Fix Committed → Fix Released
To post a comment you must log in.